
Figure - Bug #118457
【AF】【EVT3】【Monkey】106版本（529版）Monkey测试3小时后异常停止（4+27个APK）
2023-06-02 10:25 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-02

Priority: Normal Due date:

Assignee: CD FW 曹覃刚 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106(529版）

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause: 与 #118052 问题相同

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts  --ignore-security-exceptions  --monitor-native-crashes 

--ignore-native-crashes -s  20  --throttle 500  --pct-touch  30  --pct-motion  15  --pct-nav  15  --pct-majornav  15  --pct-syskeys  5  --pct-appswitch  10 

--pct-anyevent  10  --ignore-crashes   -v -v -v 1432000 2>/sdcard/error.txt 1>/sdcard/info.txt

（wifi adb）

【测试结果】

monkey 异常停止，进入屏保

Related issues:

Related to Figure - Bug # 118052: 【IOVDEV-28498】【IOVDEV-3... CLOSED 2023-05-26 2023-06-05

History

#1 - 2023-06-02 10:26 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118457

#2 - 2023-06-02 11:12 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118052 问题相同

■ 我的分析

与 #118052 问题相同, 将在 #118052 跟踪分析

surfaceflinger报空指针了，导致系统进程挂了

-------------------

06-02 00:04:47.643 13400 13400 F DEBUG   : * 

06-02 00:04:47.643 13400 13400 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3688:user/test-keys'

06-02 00:04:47.643 13400 13400 F DEBUG   : Revision: '0'

06-02 00:04:47.643 13400 13400 F DEBUG   : ABI: 'arm64'

06-02 00:04:47.643 13400 13400 F DEBUG   : Timestamp: 2023-06-02 00:04:47.331351333+0800

06-02 00:04:47.643 13400 13400 F DEBUG   : Process uptime: 12648s
06-02 00:04:47.643 13400 13400 F DEBUG   : Cmdline: /system/bin/surfaceflinger

06-02 00:04:47.644 13400 13400 F DEBUG   : pid: 999, tid: 999, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

06-02 00:04:47.644 13400 13400 F DEBUG   : uid: 1000

06-02 00:04:47.644 13400 13400 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0

06-02 00:04:47.644 13400 13400 F DEBUG   : Cause: null pointer dereference

06-02 00:04:47.644 13400 13400 F DEBUG   :     x0  b400007944786c58  x1  0000007ff90f5ec8  x2  00000077d45e9f30  x3  0000007ff90f5d08

06-02 00:04:47.644 13400 13400 F DEBUG   :     x4  0000000000000018  x5  00000000ffffffff  x6  00000000ffffffff  x7  b4000079447a3ab0

06-02 00:04:47.644 13400 13400 F DEBUG   :     x8  b400007944784580  x9  00000000000026d8  x10 000000003f800000  x11 0000000000000a00

06-02 00:04:47.644 13400 13400 F DEBUG   :     x12 0000000000000011  x13 00000000289374e4  x14 0000000000000000  x15 b4000078945f50e0

06-02 00:04:47.644 13400 13400 F DEBUG   :     x16 0000005f0c590d08  x17 0000007acdb30ec0  x18 0000007ad26be000  x19 0000000000000000

06-02 00:04:47.644 13400 13400 F DEBUG   :     x20 0000007ff90f5ec8  x21 b400007944786c58  x22 0000043800000a00  x23 b400007944784580

06-02 00:04:47.644 13400 13400 F DEBUG   :     x24 0000007acd1a0240  x25 b4000079545977a0  x26 0000007ad1659000  x27 0000000000000438

06-02 00:04:47.644 13400 13400 F DEBUG   :     x28 0000000000000000  x29 0000007ff90f5dc0

06-02 00:04:47.644 13400 13400 F DEBUG   :     lr  0000005f0c1047a4  sp  0000007ff90f5dc0  pc  0000007acdb30ee0  pst 0000000060001000

06-02 00:04:47.644 13400 13400 F DEBUG   : backtrace:

06-02 00:04:47.644 13400 13400 F DEBUG   :       #00 pc 000000000000eee0  /system/lib64/libutils.so (android::RefBase::decStrong(void const) const+32) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-02 00:04:47.644 13400 13400 F DEBUG   :       #01 pc 000000000015f7a0  /system/bin/surfaceflinger (android::LayerRenderArea::render(std::__1::function<void

()>)+944) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-02 00:04:47.644 13400 13400 F DEBUG   :       #02 pc 00000000001c6a00  /system/bin/surfaceflinger (ZNSt3

_120__packaged_task_funcIZN7android14SurfaceFlinger19captureScreenCommonENS_6futureINS_10unique_ptrINS1_10RenderAreaENS_14default_deleteIS5_EEEEE

ENS_8functionIFvRKNSA_IFvPNS1_5LayerEEEEEEERKNS_10shared_ptrINS1_12renderengine15ExternalTextureEEEbbRKNS1_2spINS1_3gui22IScreenCaptureListen

erEEEE4$_93NS_9allocatorISV_EEFvvEEclEv$8fd14edc326db0e9be510f46fb0c4dd5+368) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-02 00:04:47.644 13400 13400 F DEBUG   :       #03 pc 00000000001c62cc  /system/bin/surfaceflinger (

ZN7android4TaskIZNS_14SurfaceFlinger19captureScreenCommonENSt3

_16futureINS2_10unique_ptrINS_10RenderAreaENS2_14default_deleteIS5_EEEEEENS2_8functionIFvRKNSA_IFvPNS_5LayerEEEEEEERKNS2_10shared_ptrINS_12r

enderengine15ExternalTextureEEEbbRKNS_2spINS_3gui22IScreenCaptureListenerEEEE4$_93E13handleMessageERKNS_7MessageE$8fd14edc326db0e9be510f46fb0c4d

d5+92) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-02 00:04:47.644 13400 13400 F DEBUG   :       #04 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-02 00:04:47.644 13400 13400 F DEBUG   :       #05 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-02 00:04:47.644 13400 13400 F DEBUG   :       #06 pc 000000000016f870  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-02 00:04:47.644 13400 13400 F DEBUG   :       #07 pc 00000000001891d4  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+100) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-02 00:04:47.644 13400 13400 F DEBUG   :       #08 pc 00000000001d7248  /system/bin/surfaceflinger (main+1640) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-02 00:04:47.644 13400 13400 F DEBUG   :       #09 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

-------------------

#3 - 2023-06-02 16:53 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#4 - 2023-06-02 16:53 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
